
Redmine - Defect #9440

Escaping issue with inline diff-highlighting in revision diff view

2011-10-20 03:25 - Mischa The Evil

Status: Closed Start date: 2011-10-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

While doing some manual tests after the recent upgrade to CodeRay 1.0 I first noticed this defect.

At first I though it was a regression caused by the CodeRay update. So, I reverted back to source:/trunk@7617, deleted the repo and

reimported it, but that didn't solve the issue. So, I dug a little deeper and noticed it happened inside inline diff-highlighting section.

I haven't been able to pinpoint it to a specific revision which introduced the error, thus it could be included already since the initial

implementation of the inline diff-highlighting feature with r5094.

The issue can be best described using some screenshots. First comes the screenshot which displays the faulty escaping:

 escaping-issue.jpg 

Following a screenshot of the plain patch file of the change, displayed through Redmines own repository file view, which is rendered

correctly:

 escaping-issue-ok.jpg 

Environement:

Redmine source:/trunk@7630

Rails 2.3.14

Passenger 3.0.9

Ruby Enterprise Edition 1.8.7-2011.03

Please leave a note if more information is required...

Related issues:

Is duplicate of Redmine - Defect #9143: Partial diff comparison should be don... Closed 2011-08-29

History

#1 - 2011-11-28 11:51 - Etienne Massip

Seems like a duplicate of #9143 (with much more details)?

#2 - 2011-11-28 17:10 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #9143.
